## org.eclipse.emf.codegen.jmerge
Class JControlModel.PullRule

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.PullRule
          org.eclipse.emf.codegen.jmerge.JControlModel.PullRule

Enclosing class:
  JControlModel

Deprecated. in 2.2.0. Use `JControlModel.PullRule` instead.

    @Deprecated
    public static class JControlModel.PullRule

extends JControlModel.PullRule

Field Summary
`protected java.lang.String` `classPrefix`

Fields inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.PullRule
`equalityFeature, name, noParameterTypes, sourceGetFeature, sourceMarkup, sourceParentMarkup, sourceTransfer, targetMarkup, targetParentMarkup, targetPutFeature`

Constructor Summary
`JControlModel.PullRule()` Deprecated.
`JControlModel.PullRule(org.w3c.dom.Element element)` Deprecated.

Method Summary
`protected JControlModel.Feature` `createFeature(java.lang.String classPrefix, java.lang.String path, java.lang.Class[] parameterTypes)` Deprecated.
`java.lang.String` `getClassPrefix()`
`protected void` `setClassPrefix(java.lang.String classPrefix)`
`void` `setSourceGetFeature(JControlModel.Feature sourceGetFeature)` Deprecated.
`void` `setTargetPutFeature(JControlModel.Feature targetPutFeature)` Deprecated.

Methods inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.PullRule
`getEqualityFeature, getName, getSourceGetFeature, getSourceMarkup, getSourceParentMarkup, getSourceTransfer, getTargetMarkup, getTargetParentMarkup, getTargetPutFeature, initialize, setEqualityFeature, setName, setSourceGetFeature, setSourceMarkup, setSourceParentMarkup, setSourceTransfer, setTargetMarkup, setTargetParentMarkup, setTargetPutFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.PullRule

    public JControlModel.PullRule()

  Deprecated.

### JControlModel.PullRule

    public JControlModel.PullRule(org.w3c.dom.Element element)

  Deprecated.

Method Detail

### createFeature

    protected JControlModel.Feature createFeature(java.lang.String classPrefix,
                                                  java.lang.String path,
                                                  java.lang.Class[] parameterTypes)

  Deprecated.
  Overrides:
    `createFeature` in class `JControlModel.PullRule`

### setSourceGetFeature

    public void setSourceGetFeature(JControlModel.Feature sourceGetFeature)

  Deprecated.

### setTargetPutFeature

    public void setTargetPutFeature(JControlModel.Feature targetPutFeature)

  Deprecated.

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.